regina::L31Pillow Class Reference
Standard Triangulations and Subcomplexes

Represents a triangular pillow L(3,1) component of a triangulation. More...

`#include <subcomplex/l31pillow.h>`

Inheritance diagram for regina::L31Pillow:

## Public Member Functions

virtual | ~L31Pillow ()
| Destroys this structure. More...
L31Pillow * | clone () const
| Returns a newly created clone of this structure. More...
Tetrahedron< 3 > * | tetrahedron (int whichTet) const
| Returns one of the two tetrahedra involved in this structure. More...
unsigned | interiorVertex (int whichTet) const
| Returns the vertex number of the given tetrahedron corresponding to the degree three vertex in the interior of the triangular pillow. More...
Manifold * | manifold () const
| Returns the 3-manifold represented by this triangulation, if such a recognition routine has been implemented. More...
AbelianGroup * | homology () const
| Returns the expected first homology group of this triangulation, if such a routine has been implemented. More...
std::ostream & | writeName (std::ostream &out) const
| Writes the name of this triangulation as a human-readable string to the given output stream. More...
std::ostream & | writeTeXName (std::ostream &out) const
| Writes the name of this triangulation in TeX format to the given output stream. More...
void | writeTextLong (std::ostream &out) const
| Writes a detailed text representation of this object to the given output stream. More...
std::string | name () const
| Returns the name of this specific triangulation as a human-readable string. More...
std::string | TeXName () const
| Returns the name of this specific triangulation in TeX format. More...
AbelianGroup * | homologyH1 () const
| Returns the expected first homology group of this triangulation, if such a routine has been implemented. More...
virtual void | writeTextShort (std::ostream &out) const
| Writes a short text representation of this object to the given output stream. More...
std::string | str () const
| Returns a short text representation of this object. More...
std::string | utf8 () const
| Returns a short text representation of this object using unicode characters. More...
std::string | detail () const
| Returns a detailed text representation of this object. More...

## Static Public Member Functions

static L31Pillow * | isL31Pillow (const Component< 3 > *comp)
| Determines if the given triangulation component is a triangular pillow L(3,1). More...
static StandardTriangulation * | isStandardTriangulation (Component< 3 > *component)
| Determines whether the given component represents one of the standard triangulations understood by Regina. More...
static StandardTriangulation * | isStandardTriangulation (Triangulation< 3 > *tri)
| Determines whether the given triangulation represents one of the standard triangulations understood by Regina. More...

## Detailed Description

Represents a triangular pillow L(3,1) component of a triangulation.

A triangular pillow L(3,1) is a two-tetrahedron two-vertex triangulation of the lens space L(3,1) formed as follows.

A triangular pillow is formed from two tetrahedra with a single degree three vertex in the interior of the pillow. The two boundary triangles of this pillow are then identified with a one-third twist.

All optional StandardTriangulation routines are implemented for this class.

## Member Function Documentation

## detail()

std::string regina::Output< StandardTriangulation , false >::detail | ( |  | ) | const

inherited

Returns a detailed text representation of this object.

This text may span many lines, and should provide the user with all the information they could want. It should be human-readable, should not contain extremely long lines (which cause problems for users reading the output in a terminal), and should end with a final newline. There are no restrictions on the underlying character set.

Returns
  a detailed text representation of this object.

## str()

std::string regina::Output< StandardTriangulation , false >::str | ( |  | ) | const

inherited

Returns a short text representation of this object.

This text should be human-readable, should fit on a single line, and should not end with a newline. Where possible, it should use plain ASCII characters.

Python:\n In addition to str(), this is also used as the
  Python "stringification" function `__str__()`.

Returns
  a short text representation of this object.

## utf8()

std::string regina::Output< StandardTriangulation , false >::utf8 | ( |  | ) | const

inherited

Returns a short text representation of this object using unicode characters.

Like str(), this text should be human-readable, should fit on a single line, and should not end with a newline. In addition, it may use unicode characters to make the output more pleasant to read. This string will be encoded in UTF-8.

Returns
  a short text representation of this object.

The documentation for this class was generated from the following file:

- subcomplex/l31pillow.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).